*//--------------------------------------------
*//	Title   : Example 1 - a simple popup
*// Session : Object Oriented Menu Wrapper classes for VFP 6.0
*//	Author  : Colin Nicholls
*// Email   : 100240.630@compuserve.com
*// Date    : 25.Sep.1998
*//--------------------------------------------

#define MENU_CLASSLIB	'menus6.vcx'

*//		make the object reference PUBLIC so that
*//		we can play with it outside the program:

public oPopup

*//		create an instance of the '_MnuShortcut' class
*// 	note that as we will always refer to the
*//		popup by its object handle, we don't care
*//		what the actual popup name is:

oPopup = newobject( '_mnuShortcut', MENU_CLASSLIB )

*//		Set some of the popup's properties:

with oPopup
	.Row = 20
	.Col = 20
	.Relative = .T.
endwith

*//		Add a bar to the popup:
*//		( Handle, Prompt, BarNumber)

oPopup.AddBar( 'test1', '\<Test One', 3 )

*//		Set the optional properties of the 
*//		test1 bar:

with oPopup.Test1
	.Command	 	= "wait window 'Hello test one'"
	.Message	 	= "This is test one's message"
	.KeyShortCut 	= "Ctrl-F12"
	.KeySCText		= "^F12"
endwith

*//		Add a separator to the popup:

oPopup.AddBar( 'separator1', '\-', 5 )

*//		Add another bar to the popup:

oPopup.AddBar( 'test2', 'Test T\<wo', 7 )
with oPopup.Test2
	.Command		= "wait window 'Hello two test'"
	.Message		= "This is test two's message"
	.KeyShortCut 	= "Ctrl-F11"
endwith

*//		We no longer need the class library around,
*//		seeing as we have created all the objects we
*//		require:

*//		construct the popup:

oPopup.Define()

*//		Activate the popup on screen:

oPopup.Show()

*// Other things to try:

*//	Programatically calling the click:
* oPopup.Test2.Click()

*// Changing the caption:
* oPopup.test2.Caption = "Something Else"
* oPopup.Show()

*//	Altering other properties:
* oPopup.test2.FontName = "Courier New"
* oPopup.test2.FontSize = 14
* oPopup.Refresh()
* oPopup.Show()

*// Removing bars:
* oPopup.RemoveBar('separator1')
* oPopup.Show()

*//	Adding bars:
* oPopup.AddBar('test3','\<Test 3', 2 )
* oPopup.Show()


* release oPopup
