*//--------------------------------------------
*//	Title   : Example 4 - a replacement sysmenu
*// Article : Object Oriented Menu Wrapper classes for VFP 6.0
*//	Author  : Colin Nicholls
*// Email   : 100240.630@compuserve.com
*// Date    : 25.Sep.1998
*//--------------------------------------------

#define MENU_CLASSLIB	'menus6.vcx'

#include menus6.h

public oMainMenu

oMainMenu = newobject( '_mnuMenubar', MENU_CLASSLIB, "", n_MNU_REPLACE )

oMainMenu.AddMenu('File', '\<File' )
oMainMenu.File.KeyShortCut = 'Alt-F'

oMainMenu.File.AddBar( 'newfile', '\<New', _MFI_NEW )
oMainMenu.File.AddBar( 'openfile', '\<Open', _MFI_OPEN )
oMainMenu.File.AddBar( 'sep100', '\-' )
oMainMenu.File.AddBar( 'closefile', '\<Close', _MFI_CLOSE )
oMainMenu.File.AddBar( 'sep200', '\-' )
oMainMenu.File.AddBar( 'return', 'Release menu object' )

oMainMenu.AddPad('Beep','\<Beep' )
with oMainMenu.Beep
	.Command 		= '?? chr(7)'
	.KeyShortCut	= 'Alt-R'
endwith

with oMainMenu.File.Return
	.Command = "release oMainMenu"
	.KeyShortCut	= 'Alt-X'
	.KeySCText		= 'Alt-X'
endwith

oMainMenu.File.Closefile.Enabled = .F.	&& system bar overrides this

oMainMenu.Define()

*//		Try the following:

* oMainMenu.File.NewFile.Enabled = .F.
* oMainMenu.File.NewFile.Enabled = .T.

*//		This is definitely worth a discussion
*//		on how to obtain a .Click() method for 
*//		system popups: Try the following from
*//		the command window:

*	oMainMenu.File.NewFile.Click()

*//	Nothing happens. THis is because the only way
*// to execute a system menu option like this is 
*// via a keypress:

*	oMainMenu.File.NewFile.KeyShortCut = "Ctrl-N"
*	oMainMenu.File.NewFile.KeySCText = "Ctrl-N"
*	oMainMenu.Refresh()
*	oMainMenu.File.NewFile.Click()

*//  Now it works...