*//--------------------------------------------
*//	Title   : Example 5 - read structure directly from a .MNX
*// Article : Object Oriented Menu Wrapper classes for VFP 6.0
*//	Author  : Colin Nicholls
*// Email   : 100240.630@compuserve.com
*// Date    : 25.Sep.1998
*//--------------------------------------------

#define MENU_CLASSLIB	'menus6.prg'

#include menus6.h

*//		Make the variable public so that we can 
*//		manipulate it in the command window:

public oMainMenu
local loBuilder

*//		create an instance of the kMnuBuilder class:

loBuilder = newobject('_mnuBuilder', MENU_CLASSLIB)

*//		create the menu object by calling methods
*//		of the kMenuBuilder class library

oMainMenu = loBuilder.GetFromMNX( 'example5.mnx' )

oMainMenu.Define()

*//		Note the back-to-front captions!
*//		The names of the menu objects is 
*//		taken from the captions. 

*//		Things to try:

* oMainMenu.tide.Paste.Click()
* release oMainMenu

* oMainMenu = oMenuBuilder.GetFromMNX( 'quick.mnx' )
* oMainMenu.Define()

* ? oMainMenu.Controls[6].Name
* ? oMainMenu.Controls[6].Controls[1].Name
* ? oMainMenu.Controls[6].Controls[3].Name

*//  You can see that the Windows:Hide bar had to have its name 
*//  pre-pended with an underscore to avoid conflict with 
*//  the class's Hide() method.

* release oMainMenu
* release oMenuBuilder

*//		Now try the same thing again, only this time
*//		using the menu's own LoadStructureFromMnx() method:

* oMainMenu = newobject( '_mnuMenubar', MENU_CLASSLIB, "", 1 )
* oMainMenu.LoadStructureFromMnx('silly.mnx')
* oMainMenu.Define()